import 'package:flutter/material.dart';
import 'package:package_info_plus/package_info_plus.dart';
import 'package:rkm/config/color_palette.dart';
import 'package:rkm/config/const_variable.dart';
import 'package:rkm/widgets/button_default.dart';
import 'package:rkm/widgets/text_default.dart';

import '../../service/shared_preferences/shared_preferences_service.dart';

class AboutScreen extends StatefulWidget {

  @override
  State<AboutScreen> createState() => _AboutScreenState();
}

class _AboutScreenState extends State<AboutScreen> {
  @override


  String version = '';
  String mode ='';

  @override
  void initState() {
    super.initState();
    dataSQLite();
  }

  dataSQLite()async{
    final PrefService _preferences = PrefService();
    _preferences.readCacheModel('user', 'password', 'city', 'mode').then((list){
      setState(() {
        mode = list[3];
      });
    });
  }

  getVersion()async{
    await PackageInfo.fromPlatform().then((value){
      setState(() {
        version =value.version;
      });
    });
  }

  Widget build(BuildContext context) {

    double width = MediaQuery.of(context).size.width;

    getVersion();

    return Scaffold(
      bottomSheet: Container(
        padding: EdgeInsets.all(5),
        color: ColorPalette.appBar,
        child: Row(
          children: [
            TextDefault(text: 'www.rkmsistemas.com.br',color: ColorPalette.white,),
            Spacer(),
            ButtonDefault(
              onPressed:()=> Navigator.pop(context),
              title: 'Voltar',
              borderColor: ColorPalette.appBar,
              textColor: ColorPalette.white,
            )
          ],
        ),
      ),
      body: Container(
        width: double.infinity,
        height: double.infinity,
        decoration: BoxDecoration(
            color: ColorPalette.grayBackground,
            image: DecorationImage(
              fit: BoxFit.fitHeight,
              image: AssetImage('assets/images/load_image.png'),
            )
        ),
        child: Container(
          padding: EdgeInsets.symmetric(vertical: 70),
          child: Column(
            children: [
              Image.asset('assets/images/logo.PNG',width: width*0.5,),
              mode == 'homologacao'?Image.asset('assets/images/homologacao.png',width: width*0.4):Container(),
              mode == 'desenvolvimento'?Image.asset('assets/images/desenvolvimento.png',width: width*0.4):Container(),
              Padding(
                padding: const EdgeInsets.symmetric(vertical: 5.0),
                child: TextDefault(
                  text: 'Versão $version',
                  color: ColorPalette.black54,
                  fontSize: 30,
                  fontWeigth: FontWeight.bold,
                ),
              ),
              SizedBox(height: 100,),
              Padding(
                padding: const EdgeInsets.symmetric(vertical: 5.0),
                child: TextDefault(
                  text: 'RKM Sistemas Ltda.\n\n'
                        '(19) 2532-2668\n\n'
                        '(19) 2532-2669',
                  maxLines: 5,
                  textAlign: TextAlign.center,
                  color: ColorPalette.black54,
                  fontSize: 20,
                  fontWeigth: FontWeight.bold,
                ),
              ),
            ],
          ),
        ),
      ),
    );
  }
}
